<div class="animated fadeIn">
  <form [formGroup]="myFormGroup" *ngIf="flagShowForm">
    <div class="row d-flex justify-content-center">
      <div class="form-group col-4">
        <label for="modificador">Modificador</label>
        <kendo-combobox [data]="dsModificadores" [(ngModel)]="myFormGroup.value.modificador" [textField]="'Descripcion'"
                        [valueField]="'Modificador'" formControlName="modificador" [valuePrimitive]="true" name="codigo"
                        class="w-100">
        </kendo-combobox>
      </div>
      <div class="form-group col-2">
        <label for="pprecio">Precio</label>
        <input type="number" class="form-control " name="pprecio" [(ngModel)]="myFormGroup.value.pprecio"
               formControlName="pprecio">
      </div>
      <div class="form-group col-2">
        <label for="Secuencia">Secuencia</label>
        <input type="number" class="form-control" name="Secuencia" [(ngModel)]="myFormGroup.value.Secuencia"
               formControlName="Secuencia">
      </div>
    </div>
    <div class="row d-flex justify-content-center my-3">
      <button type="button" class="btn btn-shadow btn-success py-2 px-4" [disabled]="myFormGroup.status === 'INVALID'"
              (click)="guardarForm();">
        Guardar
      </button>
    </div>
  </form>
  <div class="row">
    <div class="col d-flex justify-content-start mb-2">
      <button (click)="newRow()" class="btn btn-shadow btn-primary px-4 py-2">
        <i class="fa fa-plus mr-2"></i>Nuevo
      </button>
    </div>
  </div>
  <kendo-grid [data]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true"
              [sortable]="true" (edit)="editRow($event)" (remove)="deleteRow($event)" style="height: 45vh;">
    <kendo-grid-column field="modificador" title="Modificador"></kendo-grid-column>
    <kendo-grid-column field="pprecio" title="Precio">
      <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.pprecio | kendoNumber:'##.00' }}</ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="Secuencia" title="Secuencia"></kendo-grid-column>
    <kendo-grid-command-column title="Actions" width="190">
      <ng-template kendoGridCellTemplate let-isNew="isNew">
        <button kendoGridEditCommand [primary]="true">Editar</button>
        <button kendoGridRemoveCommand>Eliminar</button>
      </ng-template>
    </kendo-grid-command-column>
  </kendo-grid>
</div>
